---
title: yChannelSelector
slug: Web/SVG/Attribute/yChannelSelector
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>yChannelSelector</code></strong> attribute indicates which color channel from {{SVGAttr("in2")}} to use to displace the pixels in {{SVGAttr("in")}} along the y-axis.</p>

<p>Only one element is using this attribute: {{SVGElement("feDisplacementMap")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[6,12]">&lt;svg viewBox="0 0 440 160" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="displacementFilter"&gt;
    &lt;feImage xlink:href="https://mdn.mozillademos.org/files/12668/MDN.svg"
        x="0" y="0" width="100%" height="100%" result="abc"/&gt;
    &lt;feDisplacementMap in2="abc" in="SourceGraphic"
        scale="30" yChannelSelector="R"/&gt;
  &lt;/filter&gt;
  &lt;filter id="displacementFilter2"&gt;
    &lt;feImage xlink:href="https://mdn.mozillademos.org/files/12668/MDN.svg"
        x="0" y="0" width="100%" height="100%" result="abc"/&gt;
    &lt;feDisplacementMap in2="abc" in="SourceGraphic"
        scale="30" yChannelSelector="B"/&gt;
  &lt;/filter&gt;

  &lt;text x="10" y="60" font-size="50"
      filter="url(#displacementFilter)"&gt;Some displaced text&lt;/text&gt;
  &lt;text x="10" y="120" font-size="50"
      filter="url(#displacementFilter2)"&gt;Some displaced text&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>R</code> | <code>G</code> | <code>B</code> | <code>A</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>A</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>R</code></dt>
 <dd>This keyword specifies that the red color channel of the input image defined in {{SVGAttr("in2")}} will be used to displace the pixels of the input image defined in {{SVGAttr("in")}} along the y-axis.</dd>
 <dt><code>G</code></dt>
 <dd>This keyword specifies that the green color channel of the input image defined in {{SVGAttr("in2")}} will be used to displace the pixels of the input image defined in {{SVGAttr("in")}} along the y-axis.</dd>
 <dt><code>B</code></dt>
 <dd>This keyword specifies that the blue color channel of the input image defined in {{SVGAttr("in2")}} will be used to displace the pixels of the input image defined in {{SVGAttr("in")}} along the y-axis.</dd>
 <dt><code>A</code></dt>
 <dd>This keyword specifies that the alpha channel of the input image defined in {{SVGAttr("in2")}} will be used to displace the pixels of the input image defined in {{SVGAttr("in")}} along the y-axis.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fedisplacementmap-ychannelselector", "yChannelSelector")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feDisplacementMapYChannelSelectorAttribute", "yChannelSelector")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feDisplacementMap.yChannelSelector")}}</p>
